summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2009-10-01 18:43:35 +0200
committerHarald Hoyer <harald@redhat.com>2009-10-01 18:43:35 +0200
commitec01ab23fb516092e013598643306739f9f55c50 (patch)
treed79381fbe18f4e3149955e527f4e003d317cbead
parent34debf18bf1f2f88633c1d7f88b3f805739c2685 (diff)
dmsquash: use info() and die() rather than echo
-rwxr-xr-xmodules.d/90dmsquash-live/dmsquash-live-root6
-rwxr-xr-xmodules.d/90dmsquash-live/parse-dmsquash-live.sh3
2 files changed, 4 insertions, 5 deletions
diff --git a/modules.d/90dmsquash-live/dmsquash-live-root b/modules.d/90dmsquash-live/dmsquash-live-root
index 06fd674..acec91d 100755
--- a/modules.d/90dmsquash-live/dmsquash-live-root
+++ b/modules.d/90dmsquash-live/dmsquash-live-root
@@ -31,7 +31,7 @@ getarg check || check=""
if [ -n "$check" ]; then
checkisomd5 --verbose $livedev || :
if [ $? -ne 0 ]; then
- echo "CD check failed!"
+ die "CD check failed!"
exit 1
fi
fi
@@ -43,7 +43,7 @@ getarg rw && liverw=rw
mount -n -t $fstype -o $liverw $livedev $NEWROOT
RES=$?
if [ "$RES" != "0" ]; then
- echo "Failed to mount block device of live image"
+ die "Failed to mount block device of live image"
exit 1
fi
@@ -86,7 +86,7 @@ do_live_overlay() {
if [ -z "$setup" ]; then
if [ -n "$devspec" -a -n "$pathspec" ]; then
- echo "Unable to find persistent overlay; using temporary"
+ warn "Unable to find persistent overlay; using temporary"
sleep 5
fi
diff --git a/modules.d/90dmsquash-live/parse-dmsquash-live.sh b/modules.d/90dmsquash-live/parse-dmsquash-live.sh
index 019ca3f..40ca016 100755
--- a/modules.d/90dmsquash-live/parse-dmsquash-live.sh
+++ b/modules.d/90dmsquash-live/parse-dmsquash-live.sh
@@ -33,8 +33,7 @@ case "$liveroot" in
root="live:${root}"
rootok=1 ;;
esac
-echo "root was $root, liveroot is now $liveroot"
-
+info "root was $root, liveroot is now $liveroot"
# make sure that init doesn't complain
[ -z "$root" ] && root="live"